#include <iostream>
#include <string>
#include <cstdlib>
#include <fstream>

/* using condensed adjacency matrix to represent graphs, as the biological graphs are usually sparse */

using namespace std;

class graph {
	public:
	int numNodes;	/* total number of nodes in the graph */
	int **matrix;	/* the array storing the adjacency relationship of the graph */
	int *adjCount;	/* the number of adjacency nodes for each node */
	graph(string filename, int n);
	~graph();
	void destructGraph();
	int binarySearch(int against, int key);		
	int connected(int i, int j);
	void printMatrix();	
};
